## com.sun.grizzly.util
Interface Copyable

All Known Subinterfaces:
  ComplexSelectorHandler, SelectionKeyHandler, SelectorHandler

All Known Implementing Classes:
  BaseSelectionKeyHandler, CacheableSelectionKeyHandler, Context, Controller, DefaultSelectionKeyHandler, ReadController, RoundRobinSelectorHandler, SSLSelectorHandler, TCPSelectorHandler, UDPSelectorHandler

    public interface Copyable

Copyable objects are able to copy their content to other objects of the same type

Author:
  Alexey Stashok

Method Summary
`void` `copyTo(Copyable copy)` Copies current object content to copy object

Method Detail

### copyTo

    void copyTo(Copyable copy)

  Copies current object content to copy object

  Parameters:
    `copy` - represents target object, where current object's content will be copied

Copyright © 2008 SUN Microsystems. All Rights Reserved.